locale(1)

NUME
locale - obține informații specifice configurării regionale utilizate

SINOPSIS
locale [opțiune]
locale [opțiune] -a
locale [opțiune] -m
locale [opțiune] nume ...

DESCRIERE
Comanda locale afișează informații despre configurația regională curentă sau despre toate configurațiile regionale, la ieșirea standard.

Când este invocată fără argumente, locale afișează parametrii regionali actuali pentru fiecare categorie regională (a se vedea locale(5)), pe baza parametrilor variabilelor de mediu care controlează configurația regională (a se vedea locale(7)). Valorile pentru variabilele configurate în mediu sunt afișate fără ghilimele duble, iar valorile implicite sunt afișate cu ghilimele duble.

În cazul în care se specifică fie opțiunea -a, fie opțiunea -m (sau unul dintre echivalentele lor în format lung), comportamentul este următorul:

--all-locales
-a
    Afișează o listă cu toate localizările disponibile. Opțiunea -v determină includerea în rezultat a metadatelor LC_IDENTIFICATION referitoare la fiecare regiune.

--charmaps
-m
    Afișează hărțile de caractere disponibile (fișiere de descriere a setului de caractere). Pentru a afișa setul de caractere curent pentru configurația regională, utilizați locale -c charmap.

Comanda locale poate fi, de asemenea, furnizată cu unul sau mai multe argumente, care sunt nume de cuvinte cheie de configurație regională (de exemplu, date_fmt, ctype-class-names, yesexpr, sau decimal_point) sau categorii de configurație regională (de exemplu, LC_CTYPE sau LC_TIME). Pentru fiecare argument, se afișează următoarele:

•   Pentru un cuvânt cheie de configurare regională, valoarea acelui cuvânt cheie care urmează să fie afișată.

•   Pentru o categorie de configurație regională, se afișează valorile tuturor cuvintelor cheie din acea categorie.

În cazul în care sunt furnizate argumente, următoarele opțiuni sunt semnificative:

--category-name
-c
    Pentru un argument „nume de categorie”, scrieți numele categoriei configurării regionale pe o linie separată care precede lista de valori ale cuvintelor cheie pentru acea categorie.

    Pentru un argument de tip „nume de cuvânt cheie”, scrieți numele categoriei configurării regionale pentru acest cuvânt cheie pe o linie separată care precede valoarea cuvântului cheie.

    Această opțiune îmbunătățește lizibilitatea atunci când sunt specificate mai multe argumente de nume. Ea poate fi combinată cu opțiunea -k.

--keyword-name
-k
    Pentru fiecare cuvânt cheie a cărui valoare este afișată, includeți și numele acelui cuvânt cheie, astfel încât rezultatul să aibă formatul:

        cuvânt-cheie="valoare"

Comanda locale recunoaște, de asemenea, următoarele opțiuni:

--verbose
-v
    Afișează informații suplimentare pentru anumite combinații de opțiuni și argumente din linia de comandă.

--help
-?
    Afișează un rezumat al opțiunilor disponibile în linia de comandă și iese.

--usage
    Afișează un scurt mesaj de utilizare și iese.

--version
-V
    Afișează versiunea programului și iese.

FIȘIERE

/usr/lib/locale/locale-archive
    Locația implicită obișnuită a arhivei locale.

/usr/share/i18n/locales
    Ruta implicită obișnuită pentru fișierele de definire a configurației regionale.

STANDARDE
POSIX.1-2008.

ISTORIC
POSIX.1-2001.

EXEMPLE
    $ locale;
    LANG=ro_RO.UTF-8
    LC_CTYPE="ro_RO.UTF-8"
    LC_NUMERIC="ro_RO.UTF-8"
    LC_TIME="ro_RO.UTF-8"
    LC_COLLATE="ro_RO.UTF-8"
    LC_MONETARY="ro_RO.UTF-8"
    LC_MESSAGES="ro_RO.UTF-8"
    LC_PAPER="ro_RO.UTF-8"
    LC_NAME="ro_RO.UTF-8"
    LC_ADDRESS="ro_RO.UTF-8"
    LC_TELEPHONE="ro_RO.UTF-8"
    LC_MEASUREMENT="ro_RO.UTF-8"
    LC_IDENTIFICATION="ro_RO.UTF-8"
    LC_ALL=

$ locale date_fmt;
%A %-e %B %Y, %H:%M:%S %z

$ locale -k date_fmt;
date_fmt="%A %-e %B %Y, %H:%M:%S %z"

$ locale -ck date_fmt;
LC_TIME
date_fmt="%A %-e %B %Y, %H:%M:%S %z"

$ locale LC_TELEPHONE;
+%c %a %l
(%a) %l
00
40
UTF-8

$ locale -k LC_TELEPHONE;
tel_int_fmt="+%c %a %l"
tel_dom_fmt="(%a) %l"
int_select="00"
int_prefix="40"
telephone-codeset="UTF-8"

Exemplul următor compilează o configurație regională personalizată din directorul ./wrk cu ajutorul instrumentului localedef(1) în directorul $HOME/.locale, apoi testează rezultatul cu comanda date(1) și apoi stabilește variabilele de mediu LOCPATH și LANG în fișierul de profil shell, astfel încât parametrii regionali personalizați să fie utilizați în sesiunile ulterioare ale utilizatorului:

    $ mkdir -p $HOME/.locale;
    $ I18NPATH=./wrk/ localedef -f UTF-8 -i fi_SE $HOME/.locale/fi_SE.UTF-8;
    $ LOCPATH=$HOME/.locale LC_ALL=fi_SE.UTF-8 date;
    $ echo "export LOCPATH=\$HOME/.locale" >> $HOME/.bashrc;
    $ echo "export LANG=fi_SE.UTF-8" >> $HOME/.bashrc;

CONSULTAȚI ȘI
localedef(1), charmap(5), locale(5), locale(7)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.